---------------------
PatchSet 4046 
Date: 2007/02/14 06:35:06
Author: rousskov
Branch: squid3-icap
Tag: (none) 
Log:
- Do not use .getRaw() if possible.

Members: 
	src/ICAP/ICAPConfig.cc:1.1.2.8->1.1.2.9 

Index: squid3/src/ICAP/ICAPConfig.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ICAP/ICAPConfig.cc,v
retrieving revision 1.1.2.8
retrieving revision 1.1.2.9
diff -u -r1.1.2.8 -r1.1.2.9
--- squid3/src/ICAP/ICAPConfig.cc	27 Jan 2007 05:59:40 -0000	1.1.2.8
+++ squid3/src/ICAP/ICAPConfig.cc	14 Feb 2007 06:35:06 -0000	1.1.2.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ICAPConfig.cc,v 1.1.2.8 2007/01/27 05:59:40 rousskov Exp $
+ * $Id: ICAPConfig.cc,v 1.1.2.9 2007/02/14 06:35:06 rousskov Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -53,7 +53,7 @@
     Vector<ICAPServiceRep::Pointer>::iterator iter = services.begin();
 
     while (iter != services.end()) {
-        if (iter->getRaw()->key == key)
+        if ((*iter)->key == key)
             return *iter;
 
         ++iter;
@@ -160,7 +160,7 @@
          */
         ICAPClass *c = *ci;
         ICAPServiceRep::Pointer service = findBestService(c, false);
-        if (service.getRaw()) {
+        if (service != NULL) {
             debug(93,3)("ICAPAccessCheck::check: class '%s' has candidate service '%s'\n", c->key.buf(), service->key.buf());
             candidateClasses += c->key;
         }
@@ -315,7 +315,7 @@
         return service;
     }
 
-    if (secondBest.getRaw()) {
+    if (secondBest != NULL) {
         what = "down ";
         debugs(93,5,HERE << "found first matching " <<
             what << "service in class " << c->key <<
